Bug 1400970 - host_subscriptions_controller POST create incorrect args to find_or_create_host
Summary: host_subscriptions_controller POST create incorrect args to find_or_create_host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On: 1380473 1383793 1394349
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-02 13:11 UTC by Bryan Kearney
Modified: 2019-04-01 20:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1383793
Environment:
Last Closed: 2018-02-21 16:44:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16867 None None None 2016-12-02 13:11:12 UTC

Comment 3 Brad Buckingham 2017-08-09 12:54:51 UTC
Verified with Satellite 6.3 SNAP 10: satellite-6.3.0-16.0.beta.el7sat.noarch, 
tfm-rubygem-katello-3.4.4-1.el7sat.noarch

hammer> host subscription register --name dummy.example.com --lifecycle-environment-id 1 --organization-id 1 --content-view-id 1
Host successfully registered

2017-08-09 12:50:31 243411fc [app] [I] Started POST "/api/hosts/subscriptions" for 192.168.121.35 at 2017-08-09 12:50:31 +0000
2017-08-09 12:50:31 243411fc [app] [I] Processing by Katello::Api::V2::HostSubscriptionsController#create as JSON
2017-08-09 12:50:31 243411fc [app] [I]   Parameters: {"name"=>"dummy.example.com", "facts"=>"[FILTERED]", "lifecycle_environment_id"=>1, "content_view_id"=>1, "api_version"=>"v2", "host_subscription"=>{"name"=>"dummy.example.com", "facts"=>"[FILTERED]", "lifecycle_environment_id"=>1, "content_view_id"=>1}}
2017-08-09 12:50:31 243411fc [app] [I] Current user: foreman_admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: foreman_admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Authorized user admin(Admin User)
2017-08-09 12:50:31 243411fc [app] [I] Current user: admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: foreman_admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: foreman_admin (administrator)
2017-08-09 12:50:31 243411fc [app] [I] Current user: admin (administrator)
2017-08-09 12:50:33 243411fc [audit] [I] [dummy.example.com] deleted 0 (5.4ms)
2017-08-09 12:50:33 243411fc [audit] [I] [dummy.example.com] updated 1 (24.0ms)
2017-08-09 12:50:33 243411fc [audit] [I] [dummy.example.com] added 0 (1.2ms)
2017-08-09 12:50:33 243411fc [app] [I] Import facts for 'dummy.example.com' completed. Added: 0, Updated: 1, Deleted 0 facts
2017-08-09 12:50:33 243411fc [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.4/app/views/katello/api/v2/hosts/show.json.rabl within katello/api/v2/layouts/resource (11.4ms)
2017-08-09 12:50:33 243411fc [app] [I] Completed 200 OK in 2349ms (Views: 18.3ms | ActiveRecord: 41.1ms)

Comment 4 pm-sat@redhat.com 2018-02-21 16:44:36 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.